#!/bin/bash
set -ex
date --utc --iso-8601=seconds | xargs echo "[timestamp] Start time :"

# This file gets touched if all setup passes
rm /.setup_complete || true

HOME_DIR="/home/phablet"

apt-add-repository ppa:chris.gagnon/mir-demo-tester -y

apt-get update

date --utc --iso-8601=seconds | xargs echo "[timestamp] Pre install :"

apt-get --no-install-recommends install --force-yes -y \
    glmark2-data \
    glmark2-es2-mir \
    mir-demo-tester

date --utc --iso-8601=seconds | xargs echo "[timestamp] installed tests :"

for DEB in `ls $HOME_DIR/archive/*.deb`; do
    DEPENDS=$(dpkg -I $DEB | grep Depends | cut -d ':' -f 2-)
    for DEPEND in $DEPENDS; do
        echo $DEPEND
        INSTALL=$(echo $DEPEND | grep -v ")" | grep -v "(" |grep -v "|"  | cut -d ',' -f1)
        if [ ! -z "$INSTALL" ]; then
            apt-get --no-install-recommends install $INSTALL -y || true
        fi
    done
done

date --utc --iso-8601=seconds | xargs echo "[timestamp] installed dependencies :"

dpkg -i --force-depends-version --auto-deconfigure $HOME_DIR/archive/*.deb


touch /.setup_complete
date --utc --iso-8601=seconds | xargs echo "[timestamp] End time :"
